<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.atna.AvailableTestSuites']}</h1>
        <h:form id="adminActionsForm">
            <!--<s:token allowMultiplePosts="true"/>-->
            <s:div rendered="#{s:hasRole('admin_role')}">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.atna.CreateANewTestSuite']}"
                                   action="#{testSuiteListManager.navigateNewTestSuite()}"/>
                <br/>
                <br/>
            </s:div>
        </h:form>
        <h:form id="browserForm">
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{testSuiteListManager.filter.urlParameters}"/>
            <script>
                updateUrl("browserform:filterUrlParameters");
                Event.observe("browserform:filterUrlParameters", 'change',
                        function () {
                            updateUrl("browserform:filterUrlParameters");
                        });
            </script>
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <rich:panel>
                <f:facet name="header">#{messages['net.ihe.gazelle.proxy.SearchCriteria']}</f:facet>
                <h:panelGrid columns="5">
                    <ui:include src="/filter/filterSuggest.xhtml">
                        <ui:param name="filter" value="#{testSuiteListManager.filter}"/>
                        <ui:param name="filterWidth" value="240"/>
                        <ui:param name="filterId" value="name"/>
                        <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.Name']}"/>
                        <ui:param name="filterForm" value="browserform"/>
                    </ui:include>
                    <gdk:spacer width="5px"/>
                    <ui:include src="/filter/filterSuggest.xhtml">
                        <ui:param name="filter" value="#{testSuiteListManager.filter}"/>
                        <ui:param name="filterWidth" value="240"/>
                        <ui:param name="filterId" value="context"/>
                        <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.Context']}"/>
                        <ui:param name="filterForm" value="browserform"/>
                    </ui:include>
                </h:panelGrid>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.atna.ResetCriteria']}"
                                   actionListener="#{testSuiteListManager.reset()}" render="browserform"/>
            </rich:panel>
            <br/>
            <rich:dataGrid value="#{testSuiteListManager.testSuites}" var="testsuite" columns="2" elements="6">
                <rich:panel bodyClass="pbody">
                    <f:facet name="header">
                        <h:outputText value="#{testsuite.name} (#{messages['net.ihe.gazelle.audit.message.Id']} #{testsuite.id})"/>
                    </f:facet>
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Context']}</ui:define>
                        <h:outputText value="#{testsuite.context}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Tests']}</ui:define>
                        <rich:list var="test" value="#{testsuite.testCases}" type="unordered">
                            <h:outputText value="#{test.name}"/>
                        </rich:list>
                    </s:decorate>
                    <s:div rendered="#{identity.loggedIn}">
                        <h:graphicImage value="/img/play.png" width="24px" height="24px"
                                        title="#{messages['net.ihe.gazelle.atna.Run']}" id="runImg"
                                        style="cursor:pointer;">
                            <a4j:ajax event="click" for="runImg"
                                      listener="#{testSuiteListManager.navigateRunTestSuite(testsuite)}"/>
                        </h:graphicImage>
                        <gdk:spacer width="10px"/>
                        <h:graphicImage value="/img/edit.png" width="24px" height="24px"
                                        title="#{messages['net.ihe.gazelle.atna.Edit']}" id="editImg"
                                        style="cursor:pointer;" rendered="#{s:hasRole('admin_role')}">
                            <a4j:ajax event="click" for="editImg"
                                      listener="#{testSuiteListManager.navigateEditTestSuite(testsuite)}"/>
                        </h:graphicImage>
                    </s:div>
                </rich:panel>
                <f:facet name="footer">
                    <rich:dataScroller/>
                </f:facet>
            </rich:dataGrid>
        </h:form>
    </ui:define>
</ui:composition>
